-- name: [CS] Ghostface
-- description: ported by countkreepula. Original mod by ThaGurlTilly\n\n\\#ff7777\\This Pack requires Character Select\nby

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_GHOSTFACE = smlua_model_util_get_id("ghostface_geo")

local TEX_GHOSTFACE_ICON = get_texture_info("ghostface-icon")

local TEXT_MOD_NAME = "Ghostface"

local VOICETABLE_BLANK = {
    [CHAR_SOUND_ATTACKED] = 'ghosthurt2.ogg',
    [CHAR_SOUND_DROWNING] = 'ghostwah.ogg',
    [CHAR_SOUND_DYING] = 'ghostdeath.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'ghostsurprise.ogg',
    [CHAR_SOUND_HAHA] = 'ghostheheh.ogg',
    [CHAR_SOUND_HAHA_2] = 'ghostoof3.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'ghostvictory.ogg',
    [CHAR_SOUND_HOOHOO] = 'metal.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'ghostdang.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'metal.ogg',
    [CHAR_SOUND_ON_FIRE] = 'ghostfire.ogg',
    [CHAR_SOUND_OOOF] = 'ghostoof1.ogg',
    [CHAR_SOUND_OOOF2] = 'ghostoof4.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'ghostdie2.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'ghostdie1.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'ghostdie2.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'metal.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'metal.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'metal.ogg',
    [CHAR_SOUND_WAH2] = 'metal.ogg',
    [CHAR_SOUND_WHOA] = 'ghostwah.ogg',
    [CHAR_SOUND_YAHOO] = 'ghostheeh.ogg',
	[CHAR_SOUND_HOOHOO] = 'ghostjump2.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'metal.ogg', 'metal.ogg', 'metal.ogg'},
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'ghostjump3.ogg', 'ghostjump3.ogg', 'ghostjump3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'ghostjump1.ogg', 'ghostjump4.ogg', 'metal.ogg'},
	[CHAR_SOUND_YAWNING] = {'ghostseeyousoon.ogg'},
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Ghostface", {"Updated for Character Select by countkreepula", "Original mod by ThaGurlTilly"}, "ThaGurlTilly", {r = 80, g = 80, b = 80}, E_MODEL_GHOSTFACE, CT_MARIO, TEX_GHOSTFACE_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_GHOSTFACE, VOICETABLE_BLANK)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BLANK then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BLANK then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end